\name{dualEval}
\Rdversion{1.1}
\alias{dualEval}
\docType{data}
\title{
module selection based on two GWAS datasets
}
\description{
Given multiple GWAS datasets, dense module searching can be performed independently for each GWAS dataset, generating two "RESULT.list.RData" files seperately. dualEval will then take the two result files as input and perform dense module selection based on the two files.
}
\usage{dualEval(resfile1, resfile2)}
\arguments{
  \item{resfile1}{
the discovery file "RESULT.list.RData" resulted by dms.R using the discovery GWAS dataset.
}
  \item{resfile2}{
the evaluation file "RESULT.list.RData" resulted by dms.R using the evaluation GWAS dataset.
}
}

\references{
Jia P, Zheng S, Long J, Zheng W, and Zhao Z (2011) dmGWAS: dense module searching for genome-wide association studies in protein-protein interaction networks. Bioinformatics 27(1):95-102
}
\examples{
resfile1 = "/path/to/RESULT.list.RData" # using the discovery GWAS dataset
resfile2 = "/path/to/RESULT.list.RData" # using the evaluation GWAS dataset
#dualEval(resfile1, resfile2)
}
